# Gwenview

Gwenview is a fast and easy to use image viewer by KDE, ideal for browsing and displaying a collection of images.

<a href='https://flathub.org/apps/details/org.kde.gwenview'><img width='190px' alt='Download on Flathub' src='https://flathub.org/assets/badges/flathub-badge-i-en.png'/></a>

![Gwenview window](https://cdn.kde.org/screenshots/gwenview/gwenview.png)

## Features

* Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye, and adjust brightness, contrast, or gamma.
* Annotate and mark up images with arrows, shapes, text boxes, image stamps, and more
* Basic file management actions such as copy, move, delete, and others.
* Functions both as a standalone application and an embedded viewer in the Konqueror web browser.

## Get It

Details on where to find stable releases of Gwenview can be found on its
[homepage](https://apps.kde.org/gwenview).

## Support

If you have an issue with Gwenview, please [open a support thread on KDE Discuss](https://discuss.kde.org/c/help/6).

## Building

The easiest way to make changes and test Gwenview during development is to [build it with kdesrc-build](https://community.kde.org/Get_Involved/development/Build_software_with_kdesrc-build).

## Contributing

Like other projects in the KDE ecosystem, contributions are welcome from all. This repository is managed in [KDE Invent](https://invent.kde.org/graphics/gwenview), our GitLab instance.

* Want to contribute code? See the [GitLab wiki page](https://community.kde.org/Infrastructure/GitLab) for a tutorial on how to send a merge request.
* Reporting a bug? Please submit it on the [KDE Bugtracking System](https://bugs.kde.org/enter_bug.cgi?format=guided&product=gwenview). Please do not use the Issues
  tab to report bugs.
* Is there a part of Gwenview that's not translated? See the [Getting Involved in Translation wiki page](https://community.kde.org/Get_Involved/translation) to see how
  you can help translate!

If you get stuck or need help with anything at all, head over to the [KDE New Contributors room](https://go.kde.org/matrix/#/#kde-welcome:kde.org) on Matrix. For questions about Gwenview, please ask in the [KDE Development room](https://go.kde.org/matrix/#/#kde-devel:kde.org). See [Matrix](https://community.kde.org/Matrix) for more details.

